package cn.axzo.msg.center.notices.common.enums;

import cn.azxo.framework.common.model.EnumBase;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 系统返回码枚举类
 *
 * @author zhaoyong_sh
 * @see ReturnCodeEnum
 * @since 2021-05-17 15:57
 */
@RequiredArgsConstructor
@Getter
public enum ReturnCodeEnum implements EnumBase<Integer> {

    /**
     * 系统返回码枚举类
     */
    SUCCESS(200, "success"),
    SYSTEM_ERROR(500, "system error"),
    FAIL(400, "service exception"),

    INVALID_PARAMETER(10001, "无效的参数"),
    REPEATED_REQUEST(10002, "重复的请求"),
    MESSAGE_TEMPLATE_NOT_EXIST(10003, "短信模板不存在"),
    MESSAGE_CHANNEL_NOT_VALID(10004, "无可用消息渠道"),
    MESSAGE_TEMPLATE_NOT_VALID(10005, "短信模板不可用"),
    MESSAGE_CHANNEL_EXISTS(10006, "短信渠道已存在"),

    ;

    private final Integer code;

    private final String message;

}